Compara duas versões de um serviço
curl --request GET \
--url https://services.pref.rio/app-busca-search/api/v1/admin/services/{id}/versions/compare \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/app-busca-search/api/v1/admin/services/{id}/versions/compare"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/app-busca-search/api/v1/admin/services/{id}/versions/compare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"change_type": "<string>",
"changed_at": 123,
"changed_by": "<string>",
"changes": [
{
"field_name": "<string>",
"new_value": "<unknown>",
"old_value": "<unknown>",
"value_type": "<string>"
}
],
"from_version": 123,
"to_version": 123
}{}{}{}{}versions
Compara duas versões de um serviço
Retorna as diferenças entre duas versões
GET
/
api
/
v1
/
admin
/
services
/
{id}
/
versions
/
compare
Compara duas versões de um serviço
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do serviço
Query Parameters
Versão de origem
Versão de destino
⌘I
